Bug 676527 - NMI watchdog disabled for cpu 0
Summary: NMI watchdog disabled for cpu 0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 19
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-10 06:12 UTC by He Rui
Modified: 2013-04-03 15:11 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-03 15:11:34 UTC
Type: ---


Attachments (Terms of Use)
dmesg info (34.10 KB, text/plain)
2011-02-10 06:24 UTC, He Rui
no flags Details

Description He Rui 2011-02-10 06:12:35 UTC
Description of problem:
install F-15-alpha-tc1 using rawhide repo and reboot,  'NMI watchdog disabled for cpu 0: unable to create perf event:-2' was shown on boot. Manually add nmi_watchdog=1 to kernel, it seemed NMI watchdog still disabled since that line is displayed again.

Version-Release number of selected component (if applicable):
kernel 2.6.38-0.rc4.git0.1.fc15.x86_64
and 
kernel 2.6.38-0.rc4.git0.1.fc15.i386.PAE

How reproducible:
100%

Steps to Reproduce:
1. Install rawhide by: http://serverbeach1.fedoraproject.org/pub/alt/stage/15-Alpha.TC1
2. When reboot, 'NMI watchdog disabled for cpu 0: unable to create perf event:-2' note is shown.

Comment 1 He Rui 2011-02-10 06:24:09 UTC
Created attachment 477969 [details]
dmesg info

Comment 2 Chuck Ebbert 2011-02-11 05:34:22 UTC
This is probably caused by the broken PMU hardware reported in the line above:

[    0.041061] Performance Events: Broken PMU hardware detected, using software events only.

Comment 3 Don Zickus 2011-03-30 03:45:50 UTC
Yeah the PMU isn't emulated on virtual cpus.

I pushed patches upstream to make this message more human readable, not sure if it went into 2.6.38 or not.

So technically this isn't a bug, but the output message should probably be tweaked or something.

Cheers,
Don

Comment 4 Morten Stevens 2011-04-12 15:59:20 UTC
The same problem occurs with with RHEL 6.1 Beta.

[root@x86-006 ~]# uname -r
2.6.32-122.el6.x86_64

[root@x86-006 ~]# dmesg | grep perf
NMI watchdog disabled for cpu0: unable to create perf event: -2
NMI watchdog disabled for cpu1: unable to create perf event: -2
NMI watchdog disabled for cpu2: unable to create perf event: -2
NMI watchdog disabled for cpu3: unable to create perf event: -2

Comment 5 Fedora End Of Life 2013-04-03 14:17:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 6 Justin M. Forbes 2013-04-03 15:11:34 UTC
Closing this as PMU support has been in virtual CPUs for a while now


Note You need to log in before you can comment on or make changes to this bug.